{"command":{"effect":"write","timeoutSeconds":30,"inputSchema":{"type":"object","description":"<b>Required scope: </b><code>timesheet_approval_statuses:write</code>\n\nUpdates the approval status of a timesheet approval status. The update supports state transitions such as submitting, recalling submission, approving, and rejecting. Only the fields provided in the `data` block will be updated; any unspecified fields will remain unchanged. Invalid transitions will result in a 400 error.","properties":{"path":{"type":"object","properties":{"timesheet_approval_status_gid":{"type":"string","examples":["917392"],"description":"Globally unique identifier for the timesheet approval status."}},"required":["timesheet_approval_status_gid"],"additionalProperties":false},"query":{"type":"object","properties":{"opt_pretty":{"type":"boolean","examples":[true],"description":"Provides “pretty” output.\nProvides the response in a “pretty” format. In the case of JSON this means doing proper line breaking and indentation to make it readable. This will take extra time and increase the response size so it is advisable only to use this during debugging."},"opt_fields":{"type":"array","items":{"type":"string","enum":["approval_status","created_at","end_date","start_date","user","user.name","workspace","workspace.name"]},"examples":[["approval_status","created_at","end_date","start_date","user","user.name","workspace","workspace.name"]],"description":"This endpoint returns a resource which excludes some properties by default. To include those optional properties, set this query parameter to a comma-separated list of the properties you wish to include. Properties can include nested fields. To learn more, see the [input/output options guide](/docs/inputoutput-options#selecting-nested-fields)."}},"required":[],"additionalProperties":false},"body":{"type":"object","properties":{"data":{"$ref":"#/definitions/UpdateTimesheetApprovalStatusRequest"}}}},"required":["path","body"],"additionalProperties":false,"definitions":{"UpdateTimesheetApprovalStatusRequest":{"type":"object","required":["approval_status"],"description":"A request to update a timesheet approval status.","properties":{"approval_status":{"description":"The desired approval status to transition to. Valid transitions depend on the current status of the timesheet approval status.","type":"string","enum":["submitted","draft","approved","rejected"],"examples":["submitted"]},"message":{"description":"Optional message to include with the transition (e.g., reason for approval or rejection).","type":"string","examples":["Approved by manager"]}}}}},"name":"Update a timesheet approval status","id":"asana.updatetimesheetapprovalstatus","example":{"path":{"timesheet_approval_status_gid":"917392"},"body":{}},"maxRequests":1,"summary":false}}